### Method

# Gtk Widget get_native

#### Declaration [src]

    GtkNative*
    gtk_widget_get_native (
      GtkWidget* widget
    )

#### Description [src]

Returns the nearest `GtkNative` ancestor of `widget`.

This function will return `NULL` if the widget is not contained inside a widget tree with a native ancestor.

`GtkNative` widgets will return themselves here.

#### Return value

Type: `GtkNative`

The `GtkNative` ancestor of `widget`.

The returned data is owned by the instance.
The return value can be `NULL`.